%define major 1
%define libname	%mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	RenderMan-compliant 3D rendering solution
Name:		aqsis
Version:	1.6.0
Release:	10
License:	GPLv2+i
Group:		Graphics
Url:		http://www.aqsis.org/
Source0:	http://downloads.sourceforge.net/aqsis/%{name}-%{version}.tar.bz2
Patch0:		aqsis-1.6.0-missing-cstddef.patch

BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	xsltproc
BuildRequires:	boost-devel
BuildRequires:	fltk-devel
BuildRequires:	tiff-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	zlib-devel

%description
Tha Aqsis rendering system consists of a set of libraries and applications for
creating high-quality computer imagery using the Pixar RenderMan Interface.

%package -n %{libname}
Summary:	Aqsis library
Group:		System/Libraries

%description -n %{libname}
The Aqsis library.

%package -n %{devname}
Summary:	Development files for Aqsis
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The Aqsis library developpement files.

%prep
%setup -q
%patch0 -p1 -b .missing-includes~

%build
# (tpg) this is needec, because upstream didn't cleaned tarball
# next release should be ok
rm -rf build
export CXXFLAGS="%optflags  -DBOOST_FILESYSTEM_VERSION=2"

%cmake \
    -DAQSIS_USE_FLTK:BOOL=ON \
    -DAQSIS_USE_OPENEXR:BOOL=ON \
    -DAQSIS_BOOST_LIB_SUFFIX:STRING=-mt \
    -DCMAKE_CMAKE_BUILD_TYPE=Release \
    -DAQSIS_ENABLE_TESTING:BOOL=OFF \
    -DAQSIS_USE_PLUGINS:BOOL=ON \
    -DAQSIS_USE_TIMERS:BOOL=ON \
    -DSYSCONFDIR:STRING=%{_sysconfdir} \
    -DLIBDIR="%{_libdir}" \
    -DDEFAULT_DISPLAYPATH="%{_libdir}/%{name}"

%make

%install
%makeinstall_std -C build

%files
%doc AUTHORS README
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/aqsis.xml
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png

%files -n %{libname}
%{_libdir}/%{name}
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Fri Jun 08 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.6.0-10
+ Revision: 803538
- rebuild for boost libs
- cleaned up spec

* Wed Oct 19 2011 Bogdano Arendartchuk <bogdano@mandriva.com> 1.6.0-9
+ Revision: 705355
- added patch for missing include for cstddef

* Mon Mar 14 2011 Funda Wang <fwang@mandriva.org> 1.6.0-8
+ Revision: 644459
- force filesystem v2
- rebuild for new boost

* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 1.6.0-7
+ Revision: 634996
- rebuild
- tighten BR

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 1.6.0-6mdv2011.0
+ Revision: 572128
- rebuild for new boost

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 1.6.0-5mdv2011.0
+ Revision: 565987
- rebuild for new boost

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1.6.0-4mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1.6.0-3mdv2010.1
+ Revision: 500314
- rebuild for new boost

* Mon Jan 18 2010 Jérôme Brenier <incubusss@mandriva.org> 1.6.0-2mdv2010.1
+ Revision: 493158
- rebuild for new fltk

* Wed Nov 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6.0-1mdv2010.1
+ Revision: 464841
- package missing file
- update to new version 1.6.0
- drop both patches, fixed upstream

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 1.4.2-3mdv2010.0
+ Revision: 418838
- sync with fedora patches

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 1.4.2-2mdv2009.1
+ Revision: 354286
- rebuild for new boost

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.2-1mdv2009.1
+ Revision: 334592
- update to new version 1.4.2

* Mon Dec 22 2008 Funda Wang <fwang@mandriva.org> 1.4.1-4mdv2009.1
+ Revision: 317400
- rebuild for new boost

* Sat Dec 13 2008 Funda Wang <fwang@mandriva.org> 1.4.1-3mdv2009.1
+ Revision: 313951
- rebuild
- rebuild

* Sun Sep 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.1-1mdv2009.1
+ Revision: 289051
- update to new version 1.4.1

* Mon Aug 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.0-3mdv2009.0
+ Revision: 273429
- rebuild against new boost

* Tue Aug 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-2mdv2009.0
+ Revision: 270970
- install libraries to %%_libdir on x86_64
- add buildrequires on libjpeg-devel
- fix building by removing not clean build directory and setting right suffix for boost libraries
- fix file list
- update to new version 1.4.0
- adjust buildrequires
- upstream uses cmake instead of scons

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-3mdv2008.1
+ Revision: 170766
- rebuild
- better summaries
- summary is not licence tag

* Tue Jan 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0-2mdv2008.1
+ Revision: 146896
- obsolete older devel library
- new license policy
- new devel library policy
- fix mixture of tabs and spaces into spec file
- do not package COPYING and INSTALL files
- spec file clean
- update link in URL
- update Source link

  + Thierry Vignaud <tv@mandriva.org>
    - fix mesaglu-devel BR

* Thu Dec 20 2007 Olivier Blin <blino@mandriva.org> 1.2.0-1mdv2008.1
+ Revision: 135823
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel


* Mon Feb 19 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.0-1mdv2007.0
+ Revision: 122889
- fix release
- 1.2.0 final
- Drop patch0

* Wed Jan 03 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.0-0.20061223.2mdv2007.1
+ Revision: 103796
- Fix generated dependency on /usr/sbin/bash (aka test your package after the very last commit)

* Wed Jan 03 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.0-0.20061223.1mdv2007.1
+ Revision: 103672
- fix lib64
- have the scripts executable
- Add x86_64 patch from Fedora
- Buildrequires boost-devel
- move .a to -devel
- really use mkrel
- mark the config file
- partially sync with upstream specfile
- don't separate build and install as the scons script do te same...
- fix file list
- 1.2.0 snapshot (almost RC1)
- switch to scons
- mkrel
- Import aqsis

* Fri May 06 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-3mdk
- better fix for x86_64 build

* Thu May 05 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-2mdk
- fix x86_64 build (P1)

* Mon Jan 17 2005 Pascal Terjan <pterjan@mandrake.org> 1.0.0-1mdk
- 1.0.0

* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 0.9.3-1mdk
- 0.9.3
- BuildRequires fltk-devel

* Sun Sep 05 2004 Pascal Terjan <pterjan@mandrakesoft.com> 0.9.2-1mdk
- New release 0.9.2
- Drop patch 0 (fixed upstream)

* Wed Jun 09 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.1-2mdk
- GCC 3.4 fixes

* Fri Apr 09 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.1-1mdk
- 0.9.1

